<script setup lang="ts">
  import { useUserStore } from '@/stores/modules/userStore'
  import { onHide, onLaunch, onShow } from '@dcloudio/uni-app'

  const userStore = useUserStore()

  onLaunch(() => {
    console.log('App Launch')
    userStore.initThemeAction()
  })
  onShow(() => {
    console.log('App Show')
  })
  onHide(() => {
    console.log('App Hide')
  })
</script>

<style lang="scss">
  @import 'nutui-uniapp/styles/index.scss';

  uni-page-body,
  page {
    @apply bg-bg-page text-14px h-full;
  }
</style>
